TlsPropertiesSocketFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.api.security.tls.TlsPropertiesSocketFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.security.tls
Class TlsPropertiesSocketFactory

    java.lang.Object
      javax.net.SocketFactory
          javax.net.ssl.SSLSocketFactory
              org.mule.api.security.tls.TlsPropertiesSocketFactory

Direct Known Subclasses:
  ImapsSocketFactory, Pop3sSocketFactory, SmtpsSocketFactory

    public class TlsPropertiesSocketFactory

extends SSLSocketFactory

A socket factory that is configured via Properties, using a `TlsConfiguration` that has been stored via `TlsPropertiesMapper`.

Constructor Summary
`TlsPropertiesSocketFactory(boolean anon, String namespace)`

Method Summary
`Socket` | `createSocket()`
`Socket` | `createSocket(InetAddress arg0, int arg1)`
`Socket` | `createSocket(InetAddress arg0, int arg1, InetAddress arg2, int arg3)`
`Socket` | `createSocket(Socket s, String host, int port, boolean autoClose)`
`Socket` | `createSocket(String arg0, int arg1)`
`Socket` | `createSocket(String arg0, int arg1, InetAddress arg2, int arg3)`
`String[]` | `getDefaultCipherSuites()`
`String[]` | `getSupportedCipherSuites()`

Methods inherited from class javax.net.ssl.SSLSocketFactory
`getDefault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TlsPropertiesSocketFactory

    public TlsPropertiesSocketFactory(boolean anon,
                                      String namespace)

Method Detail

### createSocket

    public Socket createSocket(Socket s,
                               String host,
                               int port,
                               boolean autoClose)
                        throws IOException

  Specified by:
    `createSocket` in class `SSLSocketFactory`
  Throws:
    `IOException`

### getDefaultCipherSuites

    public String[] getDefaultCipherSuites()

  Specified by:
    `getDefaultCipherSuites` in class `SSLSocketFactory`

### getSupportedCipherSuites

    public String[] getSupportedCipherSuites()

  Specified by:
    `getSupportedCipherSuites` in class `SSLSocketFactory`

### createSocket

    public Socket createSocket(String arg0,
                               int arg1)
                        throws IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(InetAddress arg0,
                               int arg1)
                        throws IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(String arg0,
                               int arg1,
                               InetAddress arg2,
                               int arg3)
                        throws IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(InetAddress arg0,
                               int arg1,
                               InetAddress arg2,
                               int arg3)
                        throws IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket()
                        throws IOException

  Overrides:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.